/* Distributed under the Apache License, Version 2.0.
See accompanying NOTICE file for details.*/
#pragma once

#include <QObject>
#include <QDockWidget>

namespace Ui {
  class ExplorerIntroWidget;
}

class QExplorerIntroWidget : public QDockWidget
{
  Q_OBJECT
public:
  QExplorerIntroWidget(QWidget *parent = Q_NULLPTR, Qt::WindowFlags flags = Qt::WindowFlags());
  virtual ~QExplorerIntroWidget();

  QString GetSelectedShowcase();

private:
  class Controls;
  Controls* m_Controls;
  
};